---
- name: Place gunicorn.service file in systemd directory
  template:
    src: gunicorn.service.j2
    dest: /etc/systemd/system/gunicorn.service
    owner: root
    group: root

- name: Make sure gunicorn is running
  systemd:
    state: started
    service: gunicorn
    daemon_reload: yes

- name: Enable gunicorn
  systemd:
    service: gunicorn
    enabled: yes
